pkgname=toml-test
pkgdesc=""
pkgver=0.6.4
pkgrel=1
arch=('x86_64')
url="https://github.com/reclosedev/${_base}"
license=('custom:BSD-2-clause')
depends=('python-attrs' 'python-itsdangerous' 'python-requests' 'python-url-normalize')
options=(!emptydirs)
makedepends=(
  python-setuptools
  # python-pip
  # python-poetry
)
# checkdepends=(
#   python-pytest
# )
source=(${url}/archive/v${pkgver}.tar.gz)
sha512sums=('31e2217e54892d8ec5fc9fcf60f650960621b1f97029c90deca925b9a1be9eb5a3ddb6ae68e581c805f20136f93eefa70d51e7e9f086ecbae76f8e550bbe3f1a')

build() {
  cd "${_base}-${pkgver}"
  python setup.py build
  # poetry build --format wheel
}

# check() {
#   cd "${_base}-${pkgver}"
#   python setup.py pytest
# }

package() {
  cd "${_base}-${pkgver}"
  export PYTHONHASHSEED=0
  PYTHONPYCACHEPREFIX="${PWD}/.cache/cpython/" python setup.py install --prefix=/usr --root="${pkgdir}" --optimize=1 --skip-build
  # python -c "from setuptools import setup; setup();" install --root="$pkgdir" --optimize=1
  install -Dm 644 LICENSE -t "${pkgdir}/usr/share/licenses/${pkgname}"
}
